Update a formula on a pricing calculator
curl --request PATCH \
--url https://api.journeybee.io/v1/pricing-calculators/{uuid}/formulas/{subUuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"condition": "<string>",
"value": 123,
"formula_config": {
"version": 2,
"condition": {
"kind": "comparison",
"variable_name": "<string>",
"value": "<string>"
},
"eligibility_condition": {
"kind": "comparison",
"variable_name": "<string>",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 500000000
},
"when_false": {
"mode": "flat",
"amount": 500000000
},
"no_charge_when_zero": true,
"presentation": {
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_label": "<string>",
"sort_order": 0,
"target_product_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"selected_product_uuid": "<string>",
"selected_sources": [
{
"kind": "product",
"pricing_calculator_product_uuid": "<string>"
}
],
"sort_order": 123
}
'import requests
url = "https://api.journeybee.io/v1/pricing-calculators/{uuid}/formulas/{subUuid}"
payload = {
"name": "<string>",
"condition": "<string>",
"value": 123,
"formula_config": {
"version": 2,
"condition": {
"kind": "comparison",
"variable_name": "<string>",
"value": "<string>"
},
"eligibility_condition": {
"kind": "comparison",
"variable_name": "<string>",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 500000000
},
"when_false": {
"mode": "flat",
"amount": 500000000
},
"no_charge_when_zero": True,
"presentation": {
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_label": "<string>",
"sort_order": 0,
"target_product_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"selected_product_uuid": "<string>",
"selected_sources": [
{
"kind": "product",
"pricing_calculator_product_uuid": "<string>"
}
],
"sort_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
condition: '<string>',
value: 123,
formula_config: {
version: 2,
condition: {kind: 'comparison', variable_name: '<string>', value: '<string>'},
eligibility_condition: {kind: 'comparison', variable_name: '<string>', value: '<string>'},
when_true: {mode: 'flat', amount: 500000000},
when_false: {mode: 'flat', amount: 500000000},
no_charge_when_zero: true,
presentation: {
group_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
group_label: '<string>',
sort_order: 0,
target_product_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
},
selected_product_uuid: '<string>',
selected_sources: [{kind: 'product', pricing_calculator_product_uuid: '<string>'}],
sort_order: 123
})
};
fetch('https://api.journeybee.io/v1/pricing-calculators/{uuid}/formulas/{subUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"formula_type": "discount",
"name": "<string>",
"condition": "<string>",
"calculation_type": "fixed",
"value": 123,
"formula_config": {
"version": 2,
"condition": {
"kind": "comparison",
"variable_name": "<string>",
"operator": ">=",
"value": "<string>"
},
"eligibility_condition": {
"kind": "comparison",
"variable_name": "<string>",
"operator": ">=",
"value": "<string>"
},
"when_true": {
"mode": "flat",
"amount": 500000000
},
"when_false": {
"mode": "flat",
"amount": 500000000
},
"no_charge_when_zero": true,
"quantity_ranges": {
"variable_name": "<string>",
"ranges": [
{
"lower": 123,
"upper": 123,
"amount": 500000000
}
]
},
"presentation": {
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_label": "<string>",
"visibility": "visible",
"sort_order": 0,
"target_product_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"billing_type": "one_time",
"percentage_base": "subtotal",
"selected_product_uuid": "<string>",
"selected_sources": [
{
"kind": "product",
"pricing_calculator_product_uuid": "<string>"
}
],
"sort_order": 123,
"created_at": "<string>",
"updated_at": "<string>"
}Pricing Calculator Formulas
Update a formula on a pricing calculator
PATCH
/
pricing-calculators
/
{uuid}
/
formulas
/
{subUuid}
Update a formula on a pricing calculator
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
discount, tax, surcharge Available options:
fixed, percentage, formula Show child attributes
Show child attributes
Available options:
one_time, recurring Available options:
subtotal, running_total, selected_sources Maximum array length:
100- Option 1
- Option 2
Show child attributes
Show child attributes
Response
200 - application/json
Default Response
Available options:
discount, tax, surcharge Available options:
fixed, percentage, formula Fixed amounts and formula term amounts use raw cent units. Percentage values are percent values.
Structured amount config used when calculation_type is "formula".
Show child attributes
Show child attributes
Available options:
one_time, recurring Available options:
subtotal, running_total, selected_sources - Option 1
- Option 2
Show child attributes
Show child attributes